Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1888755 - Review Request: rust-wayland-egl - Bindings to libwayland-egl
Summary: Review Request: rust-wayland-egl - Bindings to libwayland-egl
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1887559 1887563
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-15 17:13 UTC by Stefano Figura
Modified: 2020-10-16 08:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-16 08:56:53 UTC
Type: Bug
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Stefano Figura 2020-10-15 17:13:20 UTC
Spec URL: https://returntrip.fedorapeople.org/packages/rust-wayland-egl.spec
SRPM URL: https://returntrip.fedorapeople.org/packages/rust-wayland-egl-0.28.1-1.fc34.src.rpm

Description: Bindings to libwayland-egl

Fedora Account System Username: returntrip

Comment 1 Fabio Valentini 2020-10-15 20:44:29 UTC
looks good, compiles on rawhide, package APPROVED

We might want to include a .rust2rpm.cfg file in the appropriate package (was it rust-wayland-client?) that failed to compile without pkgconfig(wayland-client) to generate that dependency automatically when running rust2rpm for new versions.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rust-wayland-egl-devel-0.28.1-1.fc34.noarch.rpm
          rust-wayland-egl+default-devel-0.28.1-1.fc34.noarch.rpm
          rust-wayland-egl-0.28.1-1.fc34.src.rpm
rust-wayland-egl-devel.noarch: W: spelling-error Summary(en_US) libwayland -> fairyland
rust-wayland-egl-devel.noarch: W: spelling-error %description -l en_US libwayland -> fairyland
rust-wayland-egl-devel.noarch: W: invalid-url URL: https://crates.io/crates/wayland-egl HTTP Error 404: Not Found
rust-wayland-egl-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/wayland-egl-0.28.1/.cargo-checksum.json
rust-wayland-egl+default-devel.noarch: W: spelling-error Summary(en_US) libwayland -> fairyland
rust-wayland-egl+default-devel.noarch: W: spelling-error Summary(en_US) egl -> gel, leg, eel
rust-wayland-egl+default-devel.noarch: W: spelling-error %description -l en_US libwayland -> fairyland
rust-wayland-egl+default-devel.noarch: W: spelling-error %description -l en_US egl -> gel, leg, eel
rust-wayland-egl+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/wayland-egl HTTP Error 404: Not Found
rust-wayland-egl+default-devel.noarch: W: no-documentation
rust-wayland-egl.src: W: spelling-error Summary(en_US) libwayland -> fairyland
rust-wayland-egl.src: W: spelling-error %description -l en_US libwayland -> fairyland
rust-wayland-egl.src: W: invalid-url URL: https://crates.io/crates/wayland-egl HTTP Error 404: Not Found
3 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
rust-wayland-egl+default-devel.noarch: W: spelling-error Summary(en_US) libwayland -> fairyland
rust-wayland-egl+default-devel.noarch: W: spelling-error Summary(en_US) egl -> gel, leg, eel
rust-wayland-egl+default-devel.noarch: W: spelling-error %description -l en_US libwayland -> fairyland
rust-wayland-egl+default-devel.noarch: W: spelling-error %description -l en_US egl -> gel, leg, eel
rust-wayland-egl+default-devel.noarch: W: invalid-url URL: https://crates.io/crates/wayland-egl <urlopen error [Errno -3] Temporary failure in name resolution>
rust-wayland-egl+default-devel.noarch: W: no-documentation
rust-wayland-egl-devel.noarch: W: spelling-error Summary(en_US) libwayland -> fairyland
rust-wayland-egl-devel.noarch: W: spelling-error %description -l en_US libwayland -> fairyland
rust-wayland-egl-devel.noarch: W: invalid-url URL: https://crates.io/crates/wayland-egl <urlopen error [Errno -3] Temporary failure in name resolution>
rust-wayland-egl-devel.noarch: W: hidden-file-or-dir /usr/share/cargo/registry/wayland-egl-0.28.1/.cargo-checksum.json
2 packages and 0 specfiles checked; 0 errors, 10 warnings.



Source checksums
----------------
https://crates.io/api/v1/crates/wayland-egl/0.28.1/download#/wayland-egl-0.28.1.crate :
  CHECKSUM(SHA256) this package     : e7ca6190c84bcdc58beccc619bf4866709db32d653255e89da38867f97f90d61
  CHECKSUM(SHA256) upstream package : e7ca6190c84bcdc58beccc619bf4866709db32d653255e89da38867f97f90d61


Requires
--------
rust-wayland-egl-devel (rpmlib, GLIBC filtered):
    (crate(wayland-client/default) >= 0.28.1 with crate(wayland-client/default) < 0.29.0)
    (crate(wayland-client/use_system_lib) >= 0.28.1 with crate(wayland-client/use_system_lib) < 0.29.0)
    (crate(wayland-sys/default) >= 0.28.1 with crate(wayland-sys/default) < 0.29.0)
    (crate(wayland-sys/egl) >= 0.28.1 with crate(wayland-sys/egl) < 0.29.0)
    cargo
    pkgconfig(wayland-client)

rust-wayland-egl+default-devel (rpmlib, GLIBC filtered):
    cargo
    crate(wayland-egl)



Provides
--------
rust-wayland-egl-devel:
    crate(wayland-egl)
    rust-wayland-egl-devel

rust-wayland-egl+default-devel:
    crate(wayland-egl/default)
    rust-wayland-egl+default-devel



Generated by fedora-review 0.7.5 (5fa5b7e) last change: 2020-02-16
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -o --enablerepo local -b 1888755
Buildroot used: fedora-rawhide-x86_64
Active plugins: Shell-api, Generic
Disabled plugins: Perl, Ocaml, Java, C/C++, R, Python, PHP, fonts, Haskell, SugarActivity
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Stefano Figura 2020-10-15 21:50:35 UTC
❯❯ fedpkg request-repo rust-wayland-egl 1888755
https://pagure.io/releng/fedora-scm-requests/issue/29802

Comment 3 Gwyn Ciesla 2020-10-15 22:02:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-wayland-egl


Note You need to log in before you can comment on or make changes to this bug.